0.4 Dev Error

Post Reply
User avatar
LolManKuba
Member
Posts: 939
Joined: Fri Feb 10, 2012 22:36
Location: Ontario, Canada
Contact:

0.4 Dev Error

by LolManKuba » Post

Well a few times today when I want to go on Minetest this comes up: Image
And I think it has something to do with the 'world' folder because I got my saved world from the 0.4 and put it on the 0.3.1 and when I tryed to enter the server the same thing came up.

Jordach
Member
Posts: 4527
Joined: Mon Oct 03, 2011 17:58
GitHub: Jordach
IRC: Jordach
In-game: Jordach
Location: Blender Scene

by Jordach » Post

LolManKuba wrote: And I think it has something to do with the 'world' folder because I got my saved world from the 0.4 and put it on the 0.3.1 and when I tryed to enter the server the same thing came up.
there's your problem, the world is lost.
viewtopic.php?f=10&t=19056 Solar Plains Dev Server

User avatar
dannydark
Member
Posts: 428
Joined: Fri Aug 12, 2011 21:28
Location: Manchester, UK

by dannydark » Post

Yeah 0.4 worlds are not backwards compatible with 0.3 as the world data was changed quite a bit in 0.4

You will have to start a new world if you want to play on 0.3.1

User avatar
LolManKuba
Member
Posts: 939
Joined: Fri Feb 10, 2012 22:36
Location: Ontario, Canada
Contact:

by LolManKuba » Post

Um how is my world lost? Because 0.4 is unstable so this could be one of the errors with the world part of 0.4

User avatar
dannydark
Member
Posts: 428
Joined: Fri Aug 12, 2011 21:28
Location: Manchester, UK

by dannydark » Post

LolManKuba wrote:Um how is my world lost? Because 0.4 is unstable so this could be one of the errors with the world part of 0.4
The world isn't lost you just won't be able to load it in older versions of Minetest.

A few things changed in the code that made the new world data stuff work differently meaning that because the world was created in 0.4 of Minetest you will need 0.4+ to play on it, even if the world was originally created in 0.3 if you have since loaded it in 0.4 it will have been converted to use the new 0.4 map format so it will no longer work in 0.3.

So basically if you want to continue playing that world you will have to stick with version 0.4 (or higher) otherwise if you do want to use an older version of Minetest (i.e. 0.3.1) you will need to start a new world.

User avatar
jp4000
New member
Posts: 4
Joined: Mon Apr 09, 2012 04:11

by jp4000 » Post

I know this is an old post but I have had this problem many times. I have lost plenty of worlds in all minetest versions. The error message is referring to the env_meta file in your worlds folder. the information has been deleted somehow and you replace it with something like this:
game_time = 25541
time_of_day = 15677
EnvArgsEnd
And voila! You should get your world back.

User avatar
LolManKuba
Member
Posts: 939
Joined: Fri Feb 10, 2012 22:36
Location: Ontario, Canada
Contact:

by LolManKuba » Post

jp4000 wrote:I know this is an old post but I have had this problem many times. I have lost plenty of worlds in all minetest versions. The error message is referring to the env_meta file in your worlds folder. the information has been deleted somehow and you replace it with something like this:
game_time = 25541
time_of_day = 15677
EnvArgsEnd
And voila! You should get your world back.
I don't really play Minetest anymore, I just try to help people ect. on it.

User avatar
jp4000
New member
Posts: 4
Joined: Mon Apr 09, 2012 04:11

by jp4000 » Post

Well, now you know. And so can anyone else having this problem. You can even slap a "Solved!" on it :)
Last edited by jp4000 on Wed May 02, 2012 02:51, edited 1 time in total.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests